#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-9YavG276rQXIlgXtbW6PdM
key:                  ghcide-1.4.1.0-9YavG276rQXIlgXtbW6PdM
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  8a793a4d1d302648060d4299ec520779
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.1.0
hs-libraries:         HSghcide-1.4.1.0-9YavG276rQXIlgXtbW6PdM
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.2-5LcO2uvmVkiLj5mcG3if5b
    aeson-1.5.6.0-6DdSUx8dbuIIjP00Zg5a6S
    aeson-pretty-0.8.9-AXFdNE1ZWy326pjreSMahS array-0.5.4.0
    async-2.2.3-IdiNIvUG6Je7aMAPJeWE0D base-4.15.0.0
    base16-bytestring-1.0.1.0-GJhpZd6NgioKWj3pmrwD4Y binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-7LUjurftN0OGsPLA700WwX
    case-insensitive-1.2.1.0-J1gQtd73c5YHY9YtfdlefR containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-J3rzpkFy8Zd5Q7EBzVOXXF deepseq-1.4.5.0
    dependent-map-0.4.0.0-2QUt6o63X2vDfxm6UE5Psc
    dependent-sum-0.7.1.0-AV8oTxF478P2wjsyWt3Sel directory-1.3.6.1
    dlist-1.0-UyN3fdgb0F8e8xXMrElbD extra-1.7.10-32H3SA4Yf8dI1sU3NgBQjm
    filepath-1.4.2.1 fingertree-0.1.4.2-8i1KYSgif9U7xqcuLyHbU1
    fuzzy-0.1.0.1-L4WzauzD4qYIgJRkexcBQF ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-52NX12R8r8TCUUgbFCSsIy
    ghc-exactprint-0.6.4-9TwOd8WPowIFvEKFh1hUBa
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-GncBJachE6oAH8gQQkKMBk
    hashable-1.3.4.0-6dnecuFViZBGFpHQwXe7GH
    heapsize-0.3.0.1-FWEqdd28xS6DsRlKURBm1f
    hie-bios-0.7.6-FqDD6lLKPlr5WTMeSNMdAM
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.1.0-FJiSZYjMGCI45BiUxlBkV3
    hls-graph-1.4.0.0-6sBW7TZLigj14fodQIHJKK
    hls-plugin-api-1.2.0.0-Ie6772Jl82nAGVTJLov3e7
    hslogger-1.3.1.0-CHuLQIhxTKX2AjBndY1AIo
    implicit-hie-cradle-0.3.0.5-IGj8xDNXS5J8cQ8ucj4wv3
    lens-5.0.1-8m6Wsht5i4xJUQOyMfVULO
    lsp-1.2.0.1-2mclQUhAQLH12mhQtTde8R
    lsp-types-1.3.0.1-FPj1At5aiRI1oEashLCBdd mtl-2.2.2
    network-uri-2.6.4.1-32se5oU1b9O36LNwPHSlHj
    opentelemetry-0.7.0-9M5OsryUD0HEYj32J9wO5J
    optparse-applicative-0.16.1.0-2gAu0ltAuRsE34mFhrRUQs
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-163EeBePjHLIFZcbZybr4n
    prettyprinter-ansi-terminal-1.1.3-VoiK4SrFFn3Kv8sAYtuCw
    regex-tdfa-1.3.1.1-8KBKH3EsotI2v3BWqoG8PB
    retrie-1.0.0.0-2jUAJqPnLThIO2PCSKXyf4
    rope-utf16-splay-0.3.2.0-1dlg0ep1KMG5fWXKE68xDp
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-6OgxSbMeyqA53pYYc7Dcta
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-4q9dkrZpIsQ9fsS09MgnXH stm-2.5.0.0
    syb-0.7.2.1-JG4kH6P0JxMKeIFdjWhhC8 text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-3mGFrmsbPJ1E5EBhNtXPag
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-FVdmWuNRiZiBPBGw5WvZRu
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.1-41pb7QyPIvSGm54QlMLBN3

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

